#------------------------------------------------------------------------------
# Copyright 2008-2011 Istituto Nazionale di Fisica Nucleare (INFN)
#
# Licensed under the EUPL, Version 1.1 only (the "Licence").
# You may not use this work except in compliance with the Licence.
# You may obtain a copy of the Licence at:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Unless required by applicable law or agreed to in
# writing, software distributed under the Licence is
# distributed on an "AS IS" basis,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied.
# See the Licence for the specific language governing
# permissions and limitations under the Licence.
#------------------------------------------------------------------------------

import time
from wnodes.utils import batch_lsf

if __name__ == '__main__':
    batch_lsf.LsfCommands('pap').bjobs(fake=True)
    batch_lsf.LsfCommands('pap').bjobs(jobid = '54534534', fake=True)
    batch_lsf.LsfCommands('pap').bjobs(user = 'joda001', fake=True)
    batch_lsf.LsfCommands('pap').bjobs(jobid = '54534534', fake=True, fake_status=0)
    batch_lsf.LsfCommands('pap').bjobs(jobid = '54534534', fake=True, fake_status=1)

    batch_lsf.LsfCommands('pap').bkill('54534534', fake=True)

    batch_lsf.LsfCommands('pap').bsub('cippa', fake=True)
    batch_lsf.LsfCommands('pap').bsub('cippa', user = 'joda001', fake=True)

    batch_lsf.LsfCommands('pap').brun('a.c.d.it', '54534534', fake=True)

    batch_lsf.LsfCommands('pap').badmin('hopen', 'a.c.d.it', fake=True)
    batch_lsf.LsfCommands('pap').badmin('hclose', 'a.c.d.it', fake=True)

    batch_lsf.LsfCommands('pap').bmod('-Un', '54534534', fake=True)

    start_reservation = time.strftime("%m:%d:%H:%M",
        time.localtime(time.time() + 70))
    end_reservation = time.strftime("%m:%d:%H:%M",
        time.localtime(time.time() + 200))

    batch_lsf.LsfCommands('pap').breserve('add', '97698789', hostname = 'a.c.d.it', option = '-n 1 -o -b %s -e %s' % (start_reservation, end_reservation), user = 'joda001', fake=True)
    batch_lsf.LsfCommands('pap').breserve('del', '97698789', fake=True)

    batch_lsf.LsfCommands('pap').bjobs(jobid = '54534534')
    batch_lsf.LsfCommands('pap').bjobs(jobid = '54534534', user = 'joda001')
    batch_lsf.LsfCommands('pap').bjobs(user = 'joda001')

    batch_lsf.LsfCommands('pap').bkill('54534534')
    batch_lsf.LsfCommands('pap').bkill('54534534', user = 'joda001')

    batch_lsf.LsfCommands('pap').bsub('cippa')
    batch_lsf.LsfCommands('pap').bsub('cippa', user = 'joda001')

    batch_lsf.LsfCommands('pap').brun('a.c.d.it', '54534534')

    batch_lsf.LsfCommands('pap').badmin('hopen', 'a.c.d.it')
    batch_lsf.LsfCommands('pap').badmin('hclose', 'a.c.d.it')

    batch_lsf.LsfCommands('pap').bmod('-Un', '54534534')

    start_reservation = time.strftime("%m:%d:%H:%M",
        time.localtime(time.time() + 70))
    end_reservation = time.strftime("%m:%d:%H:%M",
        time.localtime(time.time() + 200))

    batch_lsf.LsfCommands('pap').breserve('add', '97698789', hostname = 'a.c.d.it', option = '-n 1 -o -b %s -e %s' % (start_reservation, end_reservation), user = 'joda001')
    batch_lsf.LsfCommands('pap').breserve('del', '97698789')
