#------------------------------------------------------------------------------
# Copyright 2008-2011 Istituto Nazionale di Fisica Nucleare (INFN)
#
# Licensed under the EUPL, Version 1.1 only (the "Licence").
# You may not use this work except in compliance with the Licence.
# You may obtain a copy of the Licence at:
#
# http://www.osor.eu/eupl/european-union-public-licence-eupl-v.1.1
#
# Unless required by applicable law or agreed to in
# writing, software distributed under the Licence is
# distributed on an "AS IS" basis,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
# either express or implied.
# See the Licence for the specific language governing
# permissions and limitations under the Licence.
#------------------------------------------------------------------------------
"""
Part of WNoDeS framework.
Interface of the batch systems commands.
"""

__author__ = 'Elisabetta Ronchieri'

import commands

class Command:
    """
    Define a class to create abstract methods for the classes of the batch
    system commands
    """

    """
    Define get command
    """
    def _get_command(self):
        pass

    """
    Define run command
    """
    def _run_command(self, fake = False):
        a = []
        if fake is False:
            a = commands.getstatusoutput(self._get_command())
        return a

    """
    Define get output
    """
    def get_output(self, fake = False):
        a = []
        if fake is False:
            a = self._run_command(fake = fake)
        
        return a

